<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortSpeedDirBrake.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortSpeedDirBrake_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortSpeedDirBrake.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortPWMDirBrake_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortPWMDirBrake_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Port.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html">   14</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a> : <span class="keyword">public</span> <a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">   18</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">pinPWM</a>;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#a920dbe91fa2b8a7b11961d7db5833868">   20</a></span>&#160;        PIN_TYPE <a class="code" href="classPortSpeedDirBrake.html#a920dbe91fa2b8a7b11961d7db5833868">digitalType</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#add2e7b662584bf2be76875a8b822ec97">   22</a></span>&#160;        GPIO_pin_t <a class="code" href="classPortSpeedDirBrake.html#add2e7b662584bf2be76875a8b822ec97">pinDir</a>;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#ac7498e20f1d3746b14c2b50e997d37ec">   24</a></span>&#160;        GPIO_pin_t <a class="code" href="classPortSpeedDirBrake.html#ac7498e20f1d3746b14c2b50e997d37ec">pinBrake</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortSpeedDirBrake.html#a71b88dae69e1e3070d52d3613d12dbd7">MapDigitalValue</a>(<span class="keywordtype">int</span> inValue) <span class="keyword">const</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <a class="code" href="classPortSpeedDirBrake.html#a04e036fed7d7e1019a3eeb2bf2eb9dca">PortSpeedDirBrake</a>();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        </div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(<span class="keywordtype">int</span> inPinPWM, <span class="keywordtype">int</span> inPinDir, <span class="keywordtype">int</span> inPinBrake, PIN_TYPE inPWMType, PIN_TYPE inDigitalType);</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        </div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">   54</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">IsActive</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pinPWM != -1; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#a02daf0961458a08c9ca7ab72e3d84452">   58</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortSpeedDirBrake.html#a02daf0961458a08c9ca7ab72e3d84452">GetPinPWM</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">pinPWM</a>; }</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#a3664a699412d620a3dd454f3d7baa083">   62</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortSpeedDirBrake.html#a3664a699412d620a3dd454f3d7baa083">GetPinDir</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> GPIO_to_Arduino_pin(this-&gt;pinDir); }</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#abd5175fa61be340f49573732ae2bff84">   66</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortSpeedDirBrake.html#abd5175fa61be340f49573732ae2bff84">GetDIOPinDir</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortSpeedDirBrake.html#add2e7b662584bf2be76875a8b822ec97">pinDir</a>; }</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#aa0cde694df4fdbb88262359fe10d03d3">   70</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortSpeedDirBrake.html#aa0cde694df4fdbb88262359fe10d03d3">GetPinBrake</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> GPIO_to_Arduino_pin(this-&gt;pinBrake); }</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classPortSpeedDirBrake.html#adb3149ccc0b679c22f8bbf9a4fcd8361">   74</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortSpeedDirBrake.html#adb3149ccc0b679c22f8bbf9a4fcd8361">GetDIOPinBrake</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortSpeedDirBrake.html#ac7498e20f1d3746b14c2b50e997d37ec">pinBrake</a>; }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortSpeedDirBrake.html#aa4f1de14adaac3149e05b039e9583118">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortSpeedDirBrake.html#a7d5432a050febe89a4bf12e237f5114a">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortSpeedDirBrake.html#a5c1334617ccf28fff57b31bc74ad204b">MoveStop</a>();</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;};</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortSpeedDirBrake_html_a5c1334617ccf28fff57b31bc74ad204b"><div class="ttname"><a href="classPortSpeedDirBrake.html#a5c1334617ccf28fff57b31bc74ad204b">PortSpeedDirBrake::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8cpp_source.html#l00088">PortSpeedDirBrake.cpp:88</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a7d5432a050febe89a4bf12e237f5114a"><div class="ttname"><a href="classPortSpeedDirBrake.html#a7d5432a050febe89a4bf12e237f5114a">PortSpeedDirBrake::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8cpp_source.html#l00069">PortSpeedDirBrake.cpp:69</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_aa4f1de14adaac3149e05b039e9583118"><div class="ttname"><a href="classPortSpeedDirBrake.html#aa4f1de14adaac3149e05b039e9583118">PortSpeedDirBrake::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8cpp_source.html#l00049">PortSpeedDirBrake.cpp:49</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_adb3149ccc0b679c22f8bbf9a4fcd8361"><div class="ttname"><a href="classPortSpeedDirBrake.html#adb3149ccc0b679c22f8bbf9a4fcd8361">PortSpeedDirBrake::GetDIOPinBrake</a></div><div class="ttdeci">GPIO_pin_t GetDIOPinBrake() const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00074">PortSpeedDirBrake.hpp:74</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_abd5175fa61be340f49573732ae2bff84"><div class="ttname"><a href="classPortSpeedDirBrake.html#abd5175fa61be340f49573732ae2bff84">PortSpeedDirBrake::GetDIOPinDir</a></div><div class="ttdeci">GPIO_pin_t GetDIOPinDir() const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00066">PortSpeedDirBrake.hpp:66</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_aa0cde694df4fdbb88262359fe10d03d3"><div class="ttname"><a href="classPortSpeedDirBrake.html#aa0cde694df4fdbb88262359fe10d03d3">PortSpeedDirBrake::GetPinBrake</a></div><div class="ttdeci">int GetPinBrake() const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00070">PortSpeedDirBrake.hpp:70</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a3664a699412d620a3dd454f3d7baa083"><div class="ttname"><a href="classPortSpeedDirBrake.html#a3664a699412d620a3dd454f3d7baa083">PortSpeedDirBrake::GetPinDir</a></div><div class="ttdeci">int GetPinDir() const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00062">PortSpeedDirBrake.hpp:62</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a02daf0961458a08c9ca7ab72e3d84452"><div class="ttname"><a href="classPortSpeedDirBrake.html#a02daf0961458a08c9ca7ab72e3d84452">PortSpeedDirBrake::GetPinPWM</a></div><div class="ttdeci">int GetPinPWM() const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00058">PortSpeedDirBrake.hpp:58</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a71eb18829608ad1bc184593c3a9ce7d5"><div class="ttname"><a href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">PortSpeedDirBrake::IsActive</a></div><div class="ttdeci">bool IsActive() const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00054">PortSpeedDirBrake.hpp:54</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a04e036fed7d7e1019a3eeb2bf2eb9dca"><div class="ttname"><a href="classPortSpeedDirBrake.html#a04e036fed7d7e1019a3eeb2bf2eb9dca">PortSpeedDirBrake::PortSpeedDirBrake</a></div><div class="ttdeci">PortSpeedDirBrake()</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8cpp_source.html#l00011">PortSpeedDirBrake.cpp:11</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a71b88dae69e1e3070d52d3613d12dbd7"><div class="ttname"><a href="classPortSpeedDirBrake.html#a71b88dae69e1e3070d52d3613d12dbd7">PortSpeedDirBrake::MapDigitalValue</a></div><div class="ttdeci">int MapDigitalValue(int inValue) const </div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8cpp_source.html#l00037">PortSpeedDirBrake.cpp:37</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_add2e7b662584bf2be76875a8b822ec97"><div class="ttname"><a href="classPortSpeedDirBrake.html#add2e7b662584bf2be76875a8b822ec97">PortSpeedDirBrake::pinDir</a></div><div class="ttdeci">GPIO_pin_t pinDir</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00022">PortSpeedDirBrake.hpp:22</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_ac7498e20f1d3746b14c2b50e997d37ec"><div class="ttname"><a href="classPortSpeedDirBrake.html#ac7498e20f1d3746b14c2b50e997d37ec">PortSpeedDirBrake::pinBrake</a></div><div class="ttdeci">GPIO_pin_t pinBrake</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00024">PortSpeedDirBrake.hpp:24</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a920dbe91fa2b8a7b11961d7db5833868"><div class="ttname"><a href="classPortSpeedDirBrake.html#a920dbe91fa2b8a7b11961d7db5833868">PortSpeedDirBrake::digitalType</a></div><div class="ttdeci">PIN_TYPE digitalType</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00020">PortSpeedDirBrake.hpp:20</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html_a56a36f4792539c57c2f50d969674271d"><div class="ttname"><a href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">PortSpeedDirBrake::pinPWM</a></div><div class="ttdeci">int pinPWM</div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00018">PortSpeedDirBrake.hpp:18</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPortSpeedDirBrake_html"><div class="ttname"><a href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></div><div class="ttdef"><b>Definition:</b> <a href="PortSpeedDirBrake_8hpp_source.html#l00014">PortSpeedDirBrake.hpp:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortSpeedDirBrake.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
